org.apache.ignite.internal.util.lang

## Class IgnitePredicate2X<E1,E2>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.IgnitePredicate2X<E1,E2>

All Implemented Interfaces:
  Serializable, IgniteBiPredicate<E1,E2>

Direct Known Subclasses:
  PX2

    public abstract class IgnitePredicate2X<E1,E2>
    extends Object
    implements IgniteBiPredicate<E1,E2>

Convenient predicate subclass that allows for thrown grid exception. This class implements `apply(Object, Object)` method that calls `applyx(Object, Object)` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  `PX2`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgnitePredicate2X()`

### Method Summary

Methods
`boolean` `apply(E1 e1, E2 e2)` Predicate body.
`abstract boolean` `applyx(E1 e1, E2 e2)` Predicate body that can throw `IgniteCheckedException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgnitePredicate2X

    public IgnitePredicate2X()

### Method Detail

#### apply

    public boolean apply(E1 e1,
                E2 e2)

Predicate body.

Specified by:
  `apply` in interface `IgniteBiPredicate<E1,E2>`
Parameters:
  `e1` - First parameter.
  `e2` - Second parameter.
Returns:
  Return value.

#### applyx

    public abstract boolean applyx(E1 e1,
                 E2 e2)
                            throws IgniteCheckedException

Predicate body that can throw `IgniteCheckedException`.

Parameters:
  `e1` - First bound free variable, i.e. the element the predicate is called or closed on.
  `e2` - Second bound free variable, i.e. the element the predicate is called or closed on.
Returns:
  Return value.
Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the predicate.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015